module ADC(	
				input					sclk,
				input					data1,
				input					data2,
				output reg			CS,
				output reg [15:0]	d1,
				output reg [15:0]	d2,
				output reg 			valid
				);
				
	reg 	[15:0]	d1_sr;
	reg 	[15:0]	d2_sr;
	reg 	[5:0]		count;

	//Annoyingly, CS seems to want to be on the negedge of sclk.
	always@(negedge sclk)
		if(count<16)
			CS<=1'b0;
		else
			CS<=1'b1;
	
	//posedge side	
	always@(posedge sclk)
	begin
		valid <=1'b0;
		count<=count+6'b1;
		if(count<16)
		begin
			d1_sr[15:0]={d1_sr[14:0], data1};
			d2_sr[15:0]={d2_sr[14:0], data2};
		end
		else if(count==17)
		begin
			valid	<= 1'b1;
			d1		<= d1_sr[15:0];
			d2		<= d2_sr[15:0];
			count	<= 6'd0;
		end
	end
	
endmodule 