	//Divide clock by 4.  Brings us to slower than we'd like (12.5MHz clk, about 800K samples/sec.)
module ADCclk( 
					input 		iCLK_50, 
					output reg 	sclk
					);

	reg 	[1:0] 	clk_count;
	always@ (posedge iCLK_50)
	begin
		clk_count 	<= clk_count+2'b1;
		if(clk_count<=1)           // 0 and 1
			sclk			<=1'b0;
		else if(clk_count==2)		// 2
			sclk			<= 1'b1;
		else if(clk_count==3)		// 3
		begin
			clk_count 	<= 2'd0;
			sclk			<= 1'b1;
		end
	end
endmodule 

//Generate a ramp function, speed depends on prescalar.
module ramp(
					input 		[8:0] 	prescalar,
					output reg	[11:0] 	rampv,
					input 					clk
					);
	reg [8:0] count;
	
	always@(posedge clk)
	begin
		if(count>=prescalar)
		begin
			count<=1;
			rampv<=rampv+12'b1;
		end
		else
			count<=count+9'b1;
	end
endmodule