module FIR(
	input signed 	[15:0] 		x ,
	output signed	[15:0] 	 	y ,
	input  							clock
	);

	parameter ORDER = 45;
	reg signed  [15:0] delay [ORDER:1];
	wire signed [15:0] coef  [ORDER:0];
	reg signed [31:0] sum;
	
	`include "coef.v"

	integer i;

	always@(negedge clock)
	begin
		sum = x * coef[0];
		for(i = 1;i <= ORDER; i = i+1)
			sum = sum + delay[i] * coef[i];
	end
	
	always@(negedge clock)
	begin
		delay[1] <= x;
		for(i = 2; i <= ORDER;i = i+1)
			delay[i] <= delay[i-1];
	end
	assign y=(sum[31:30]==2'b10) ? 16'h8000:  
				(sum[31:30]==2'b01) ? 16'h7fff: 
				                      sum[30:15];
endmodule
