	//Divide clock by 4.  Brings us to slower than we'd like (12.5MHz clk, about 700K samples/sec.)
module ADCclk( 
					input 		iCLK_50, 
					output reg 	sclk
					);

	reg 	[1:0] 	clk_count;
	always@ (posedge iCLK_50)
	begin
		clk_count 	<= clk_count+2'b1;
		if(clk_count<=1)           // 0 and 1
			sclk			<=1'b0;
		else if(clk_count==2)		// 2
			sclk			<= 1'b1;
		else if(clk_count==3)		// 3
		begin
			clk_count 	<= 2'd0;
			sclk			<= 1'b1;
		end
	end
endmodule 


module FIRclk( 
					input 		iCLK_50, 
					output reg 	fclk
					);

	reg 	[10:0] 	clk_count;
	always@ (posedge iCLK_50)
	begin
		clk_count 	<= clk_count+11'b1;
		if(clk_count < 1041)
			fclk	<= 1'b0;
		else
		begin
			clk_count 	<= 11'd0;
			fclk			<= 1'b1;
		end
	end
endmodule 