module top( inout 		[31:0]	GPIO_1,    	//GPIO
				input  					iCLK_50		//50MHz clock
			  );	
					
	wire CS, ADCclk, fclk, valid;
	
	assign GPIO_1[15]=CS;
	wire data1=GPIO_1[14];
	wire data2=GPIO_1[13];
	assign GPIO_1[12]=ADCclk;				
	assign GPIO_1[3:0] = pmod;
 	
	wire	[15:0]	d1; // d1 and d2 are values obtained from A/D
	wire	[15:0]	d2; // Only bottom 12 bits are valid
	wire [3:0] 	pmod;
	
	ADCclk u1(iCLK_50, ADCclk);
	ADC    u2(ADCclk, data1, data2, CS, d1, d2, valid);
	FIRclk u3(iCLK_50, fclk);

	wire signed [15:0] DataIn,DataOut,D2A;
	
	assign DataIn = {d1[11:0],4'b0} + 32768; // going from unsigned to signed
	
	FIR f1(
		DataIn,
		DataOut,
		fclk);
		
	assign D2A = DataOut + 32768; // going back to unsigned
	dac dac1(D2A[15:4],d1[11:0], pmod, iCLK_50);

endmodule	